Vector BLF: Vector::BLF::CanFdMessage64 Struct Reference

Vector BLF

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
Vector::BLF::CanFdMessage64 Struct Referencefinal

CAN_FD_MESSAGE_64. More...

`#include <CanFdMessage64.h>`

Inheritance diagram for Vector::BLF::CanFdMessage64:

## Public Member Functions
void | read (AbstractFile &is) override
void | write (AbstractFile &os) override
uint32_t | calculateObjectSize () const override
virtual bool | hasExtData () const
Public Member Functions inherited from Vector::BLF::ObjectHeader
| ObjectHeader (const ObjectType objectType, const uint16_t objectVersion=0)
void | read (AbstractFile &is) override
void | write (AbstractFile &os) override
uint16_t | calculateHeaderSize () const override
uint32_t | calculateObjectSize () const override
Public Member Functions inherited from Vector::BLF::ObjectHeaderBase
| ObjectHeaderBase (const uint16_t headerVersion, const ObjectType objectType)
| ObjectHeaderBase (const ObjectHeaderBase &)=default
ObjectHeaderBase & | operator= (const ObjectHeaderBase &)=default
| ObjectHeaderBase (ObjectHeaderBase &&)=default
ObjectHeaderBase & | operator= (ObjectHeaderBase &&)=default
virtual void | read (AbstractFile &is)
virtual void | write (AbstractFile &os)
virtual uint16_t | calculateHeaderSize () const
virtual uint32_t | calculateObjectSize () const
Public Member Functions inherited from Vector::BLF::CanFdExtFrameData
| CanFdExtFrameData (const CanFdExtFrameData &)=default
CanFdExtFrameData & | operator= (const CanFdExtFrameData &)=default
| CanFdExtFrameData (CanFdExtFrameData &&)=default
CanFdExtFrameData & | operator= (CanFdExtFrameData &&)=default
virtual void | read (AbstractFile &is)
virtual void | write (AbstractFile &os)
virtual uint32_t | calculateObjectSize () const

## Public Attributes
uint8_t | channel {}
| application channel
uint8_t | dlc {}
| CAN dlc.
uint8_t | validDataBytes {}
| Valid payload length of data.
uint8_t | txCount {}
| txRequiredCount (4 bits), txReqCount (4 Bits)
uint32_t | id {}
| CAN ID.
uint32_t | frameLength {}
| message length in ns
uint32_t | flags {}
| flags
uint32_t | btrCfgArb {}
| bit rate used in arbitration phase
uint32_t | btrCfgData {}
| bit rate used in data phase
uint32_t | timeOffsetBrsNs {}
| time offset of brs field
uint32_t | timeOffsetCrcDelNs {}
| time offset of crc delimiter field
uint16_t | bitCount {}
| complete message length in bits
uint8_t | dir {}
uint8_t | extDataOffset {}
uint32_t | crc {}
| CRC for CAN.
std::vector< uint8_t > | data {}
| CAN FD data.
Public Attributes inherited from Vector::BLF::ObjectHeader
uint32_t | objectFlags {ObjectFlags::TimeOneNans}
| object flags
uint16_t | clientIndex {}
| client index of send node
uint16_t | objectVersion {0}
| object specific version
uint64_t | objectTimeStamp {}
| object timestamp
Public Attributes inherited from Vector::BLF::ObjectHeaderBase
uint32_t | signature {ObjectSignature}
| signature (ObjectSignature)
uint16_t | headerSize {}
| sizeof object header
uint16_t | headerVersion {}
| header version (1)
uint32_t | objectSize {}
| object size
ObjectType | objectType {ObjectType::UNKNOWN}
| object type
Public Attributes inherited from Vector::BLF::CanFdExtFrameData
uint32_t | btrExtArb {}
uint32_t | btrExtData {}
std::vector< uint8_t > | reservedCanFdExtFrameData {}

## Additional Inherited Members
Public Types inherited from Vector::BLF::ObjectHeader
enum | ObjectFlags : uint32_t { TimeTenMics = 0x00000001 , TimeOneNans = 0x00000002 }

## Detailed Description

CAN_FD_MESSAGE_64.

CAN FD data frame, or CAN data- or remote frame on a CAN FD channel.

## Member Function Documentation

## ◆ calculateObjectSize()

uint32_t Vector::BLF::CanFdMessage64::calculateObjectSize | ( |  | ) | const
| overridevirtual

Calculates the objectSize

Returns
  object size

Reimplemented from Vector::BLF::CanFdExtFrameData.

## ◆ read()

void Vector::BLF::CanFdMessage64::read | ( | AbstractFile & | is | ) |
| overridevirtual

Read the data of this object

Parameters

  is | input stream

Reimplemented from Vector::BLF::CanFdExtFrameData.

## ◆ write()

void Vector::BLF::CanFdMessage64::write | ( | AbstractFile & | os | ) |
| overridevirtual

Write the data of this object

Parameters

  os | output stream

Reimplemented from Vector::BLF::CanFdExtFrameData.

## Member Data Documentation

## ◆ bitCount

uint16_t Vector::BLF::CanFdMessage64::bitCount {}

complete message length in bits

Bit count of the message

## ◆ btrCfgArb

uint32_t Vector::BLF::CanFdMessage64::btrCfgArb {}

bit rate used in arbitration phase

CAN- or CAN-FD bit timing configuration for arbitration phase, may be 0, if not supported by hardware/driver

- Bit 0-7: Quartz Frequency
- Bit 8-15: Prescaler
- Bit 16-23: BTL Cycles
- Bit 24-31: Sampling Point

## ◆ btrCfgData

uint32_t Vector::BLF::CanFdMessage64::btrCfgData {}

bit rate used in data phase

CAN-FD bit timing configuration for data phase, may be 0, if not supported by hardware/driver. See btrCfgArb.

## ◆ channel

uint8_t Vector::BLF::CanFdMessage64::channel {}

application channel

Channel the frame was sent or received.

## ◆ data

std::vector<uint8_t> Vector::BLF::CanFdMessage64::data {}

CAN FD data.

Data bytes (the actual length may be shorter than 64 bytes, according to the value of dlc).

## ◆ dir

uint8_t Vector::BLF::CanFdMessage64::dir {}

Direction of the message

## ◆ dlc

uint8_t Vector::BLF::CanFdMessage64::dlc {}

CAN dlc.

Data length code of frame.

- DLC=0-8: CAN=0-8, CAN FD=0-8
- DLC=9: CAN=8, CAN FD=12
- DLC=10: CAN=8, CAN FD=16
- DLC=11: CAN=8, CAN FD=20
- DLC=12: CAN=8, CAN FD=24
- DLC=13: CAN=8, CAN FD=32
- DLC=14: CAN=8, CAN FD=48
- DLC=15: CAN=8, CAN FD=64

## ◆ extDataOffset

uint8_t Vector::BLF::CanFdMessage64::extDataOffset {}

offset if extDataOffset is used

## ◆ flags

uint32_t Vector::BLF::CanFdMessage64::flags {}

flags

- Bit#=0 (0x0001): Must be 0
- Bit#=1 (0x0002): Reserved, for internal use
- Bit#=2 (0x0004): 1=NERR (1=single wire on low speed CAN)
- Bit#=3 (0x0008): 1=High voltage wake up
- Bit#=4 (0x0010): 1=Remote frame (only CAN)
- Bit#=5 (0x0020): Reserved, must be 0
- Bit#=6 (0x0040): 1=Tx Acknowledge
- Bit#=7 (0x0080): 1=Tx Request
- Bit#=8 (0x0100): Reserved, must be 0
- Bit#=9 (0x0200): SRR (CAN FD)
- Bit#=10 (0x0400): R0
- Bit#=11 (0x0800): R1
- Bit#=12 (0x1000): EDL, 0: CAN frame, 1: CAN FD frame
- Bit#=13 (0x2000): BRS (CAN FD)
- Bit#=14 (0x4000): ESI
- Bit#=15 (0x8000): Reserved, must be 0
- Bit#=16 (0x10000): Reserved, must be 0
- Bit#=17 (0x20000): 1=Frame is part of a burst
- Bit#=18-31: Reserved, must be 0

## ◆ frameLength

uint32_t Vector::BLF::CanFdMessage64::frameLength {}

message length in ns

Message duration [in ns]. Not including 3 interframe-space bit times and by Rx-messages also not including 1 end-of-frame bit time

## ◆ id

uint32_t Vector::BLF::CanFdMessage64::id {}

CAN ID.

Frame identifier.

## ◆ timeOffsetBrsNs

uint32_t Vector::BLF::CanFdMessage64::timeOffsetBrsNs {}

time offset of brs field

Time offset of bit rate switch within BRS field in nanoseconds

## ◆ timeOffsetCrcDelNs

uint32_t Vector::BLF::CanFdMessage64::timeOffsetCrcDelNs {}

time offset of crc delimiter field

Time offset of bit rate switch within CRC delimiter field in nanoseconds

## ◆ txCount

uint8_t Vector::BLF::CanFdMessage64::txCount {}

txRequiredCount (4 bits), txReqCount (4 Bits)

(Bits 0-3) Number of required tranmission attempts, (Bits 4-7) Max Number of transmission attempts.

## ◆ validDataBytes

uint8_t Vector::BLF::CanFdMessage64::validDataBytes {}

Valid payload length of data.

Valid payload length of data, can differ from DLC value.

The documentation for this struct was generated from the following files:

- CanFdMessage64.h
- CanFdMessage64.cpp